# InfoBoxViewModel

#### new Cesium.InfoBoxViewModel()
widgets/Source/InfoBox/InfoBoxViewModel.js 14

The view model for `InfoBox`.

### Members

#### cameraClicked : Event
widgets/Source/InfoBox/InfoBoxViewModel.js 101

Gets an `Event` that is fired when the user clicks the camera icon.

#### cameraIconPath : string
widgets/Source/InfoBox/InfoBoxViewModel.js 70

Gets the SVG path of the camera icon, which can change to be "crossed out" or not.

#### closeClicked : Event
widgets/Source/InfoBox/InfoBoxViewModel.js 111

Gets an `Event` that is fired when the user closes the info box.

#### description : string
widgets/Source/InfoBox/InfoBoxViewModel.js 52

Gets or sets the description HTML for the info box.

#### enableCamera : boolean
widgets/Source/InfoBox/InfoBoxViewModel.js 28

Gets or sets whether the camera tracking icon is enabled.

#### isCameraTracking : boolean
widgets/Source/InfoBox/InfoBoxViewModel.js 34

Gets or sets the status of current camera tracking of the selected object.

#### maxHeight : number
widgets/Source/InfoBox/InfoBoxViewModel.js 22

Gets or sets the maximum height of the info box in pixels. This property is observable.

#### showInfo : boolean
widgets/Source/InfoBox/InfoBoxViewModel.js 40

Gets or sets the visibility of the info box.

#### titleText : string
widgets/Source/InfoBox/InfoBoxViewModel.js 46

Gets or sets the title text in the info box.

### Methods

#### maxHeightOffset(offset) → string
widgets/Source/InfoBox/InfoBoxViewModel.js 91

Gets the maximum height of sections within the info box, minus an offset, in CSS-ready form.

Name | Type | Description
--- | --- | ---
`offset` | number | The offset in pixels.

##### Returns:

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.